package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.WfUspPfPara;
import com.ruoyi.predict.mapper.WfUspPfParaMapper;
import com.ruoyi.predict.service.IWfUspPfParaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * WfUspPfParaService业务层处理
 *
 * @author hlf
 * @date 2021-09-02
 */
@Service
public class WfUspPfParaServiceImpl implements IWfUspPfParaService {
    @Autowired(required = false)
    private WfUspPfParaMapper wfUspPfParaMapper;

    /**
     * 查询WfUspPfPara
     *
     * @param windplantNo WfUspPfParaID
     * @return WfUspPfPara
     */
    @Override
    public WfUspPfPara selectWfUspPfParaById(Long windplantNo, Long modelNo) {
        return wfUspPfParaMapper.selectWfUspPfParaById(windplantNo, modelNo);
    }

    /**
     * 查询WfUspPfPara列表
     *
     * @param wfUspPfPara WfUspPfPara
     * @return WfUspPfPara
     */
    @Override
    public List<WfUspPfPara> selectWfUspPfParaList(WfUspPfPara wfUspPfPara) {
        return wfUspPfParaMapper.selectWfUspPfParaList(wfUspPfPara);
    }

    /**
     * 新增WfUspPfPara
     *
     * @param wfUspPfPara WfUspPfPara
     * @return 结果
     */
    @Override
    public int insertWfUspPfPara(WfUspPfPara wfUspPfPara) {
        return wfUspPfParaMapper.insertWfUspPfPara(wfUspPfPara);
    }

    /**
     * 修改WfUspPfPara
     *
     * @param wfUspPfPara WfUspPfPara
     * @return 结果
     */
    @Override
    public int updateWfUspPfPara(WfUspPfPara wfUspPfPara) {
        return wfUspPfParaMapper.updateWfUspPfPara(wfUspPfPara);
    }

    /**
     * 删除WfUspPfPara信息
     *
     * @param windplantNo WfUspPfParaID
     * @return 结果
     */
    @Override
    public int deleteWfUspPfParaById(Long windplantNo, Long modelNo) {
        return wfUspPfParaMapper.deleteWfUspPfParaById(windplantNo, modelNo);
    }
}
